## org.apache.commons.math.genetics
Class BinaryMutation

    java.lang.Object
      org.apache.commons.math.genetics.BinaryMutation

All Implemented Interfaces:
  MutationPolicy

    public class BinaryMutation

extends Object
implements MutationPolicy

Mutation for `BinaryChromosome`s. Randomly changes one gene.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

Constructor Summary
`BinaryMutation()`

Method Summary
`Chromosome` `mutate(Chromosome original)` Mutate the given chromosome.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryMutation

    public BinaryMutation()

Method Detail

### mutate

    public Chromosome mutate(Chromosome original)

  Mutate the given chromosome. Randomly changes one gene.

  Specified by:
    `mutate` in interface `MutationPolicy`
  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromomsome.

Copyright (c) 2003-2013 Apache Software Foundation